Skip to content

Black Friday:

60% off

Cliedesk Pro

Every plan, every site count. Ends Cyber Monday.

00 days 00 hrs 00 min 00 sec
Claim 60% off

REST API v1

Tags

Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.

List tags

GET /tags

Scope tags:read · Cost 1

Parameters

NameTypeDescription
sort query · string One of: usage, name
q query · string

Create a tag

POST /tags

Scope tags:write · Cost 2

Parameters

NameTypeDescription
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
name required string
color string
description string

Add and remove tags on a conversation or contact

POST /tags/apply

Scope tags:write · Cost 2

Parameters

NameTypeDescription
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
entity required string One of: conversation, message, contact, organization
entity_id required integer
add array of integer
remove array of integer
create array of string

Change a tag

PATCH /tags/{id}

Scope tags:write · Cost 2

Parameters

NameTypeDescription
id required path · integer
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
name string
color string
description string

Delete a tag

DELETE /tags/{id}

Scope tags:write · Cost 2

Parameters

NameTypeDescription
id required path · integer
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
confirm boolean